diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/sungem.c linux-2.5/drivers/net/sungem.c
--- bk-linus/drivers/net/sungem.c	2002-11-21 02:16:30.000000000 +0000
+++ linux-2.5/drivers/net/sungem.c	2002-11-21 17:59:31.000000000 +0000
@@ -102,11 +102,6 @@ static u16 link_modes[] __devinitdata = 
 #define GEM_MODULE_NAME	"gem"
 #define PFX GEM_MODULE_NAME ": "
 
-/* Until this gets merged from 2.4.x... */
-#ifndef PCI_DEVICE_ID_APPLE_UNI_N_GMACP
-#define PCI_DEVICE_ID_APPLE_UNI_N_GMACP 0x0024
-#endif
-
 static struct pci_device_id gem_pci_tbl[] __devinitdata = {
 	{ PCI_VENDOR_ID_SUN, PCI_DEVICE_ID_SUN_GEM,
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0UL },
@@ -405,6 +400,10 @@ static int gem_rxmac_interrupt(struct ne
 			gp->dev->name, rxmac_stat);
 
 	if (rxmac_stat & MAC_RXSTAT_OFLW) {
+		u32 smac = readl(gp->regs + MAC_SMACHINE);
+
+		printk(KERN_ERR "%s: RX MAC fifo overflow smac[%08x].\n",
+				dev->name, smac);
 		gp->net_stats.rx_over_errors++;
 		gp->net_stats.rx_fifo_errors++;
 
